<template>
  <transition name="slide-fade">
    <slot></slot>
  </transition>
</template>

<script>
export default {
  name: 'SlideFadeTransition',
}
</script>

<style lang="less" scoped>
.slide-fade-leave-active,
.slide-fade-enter-active {
  transition: all 0.3s ease;
}
.slide-fade-enter,
.slide-fade-leave-to {
  transform: translate(0px, -15px);
  opacity: 0;
}
</style>
